Author Topic: 0.4.2.0 build 316 with final Lua 5.2.0  (Read 4178 times)

0 Members and 1 Guest are viewing this topic.

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
0.4.2.0 build 316 with final Lua 5.2.0
« on: 16 December, 2011, 20:56:30 »
Final Lua 5.2.0 was released today http://permalink.gmane.org/gmane.comp.lang.lua.general/86552

Windows x86/x64 version with GUI: http://www.PtokaX.org/files/0.4.2.0b316-Lua5.2.0.7z


Quote from: Changes from build 314
Added: Both IP addresses to !getinfo command for users with IPv6 and IPv4 connection available.
Changed: Library dependencies linking moved to project files on windoze.
Fixed: Compile with Lua 5.1/5.2 based on actually available Lua lib.
Removed: All info related to old ip-to-country database.
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

PtokaX forum

0.4.2.0 build 316 with final Lua 5.2.0
« on: 16 December, 2011, 20:56:30 »

Offline Black-Dragon

  • Member
  • ***
  • Posts: 47
  • Karma: +0/-7
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #1 on: 30 January, 2012, 00:26:38 »
hi Today I gave this to strange error  [ 29/01/2012, 16:22.27 ] [ERR] not enough memory   ??? ??? ??? ???

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #2 on: 30 January, 2012, 05:54:00 »
That is error from Lua, but i have no idea what script do that he get out of memory  ::)
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline Black-Dragon

  • Member
  • ***
  • Posts: 47
  • Karma: +0/-7
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #3 on: 30 January, 2012, 11:29:27 »
Hi ppk I have no lua in ptokax ptokax is just, I did not put the lua because I was testing the new version of ptokax

stats my server

Cpu Xeon r x3460 @ 2.80 GHz Dual Processor

Ram 2.00 GB

OS Windows Server 2008 Datesenter 64 Bit
« Last Edit: 30 January, 2012, 11:33:26 by Black-Dragon »

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #4 on: 30 January, 2012, 14:33:50 »
If you don't used lua script then you can't get that message, because only place where is text "not enough memory" is Lua  ::)
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline Black-Dragon

  • Member
  • ***
  • Posts: 47
  • Karma: +0/-7
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #5 on: 30 January, 2012, 14:54:06 »
However with version 0.4.1.2 PtokaX does not give me this error  :-[

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #6 on: 30 January, 2012, 16:28:44 »
And how is old-stable 0.4.1.2 (with Lua 5.1.4) related to this testing version (with Lua 5.2.0)  ???
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline Electrico

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #7 on: 01 February, 2012, 16:39:32 »
I get this error when trying to start the script PxWeb.lua

 [16:33:45] Syntax error loading module 'lfs' from file 'C: \ 0.4.2.0b316-Lua5.2.0 \ libs \ lfs.dll':
 We did not find the specified process.

 With version 0.4.2.0 build 314 gives me no problem.

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #8 on: 01 February, 2012, 16:49:43 »
Libs for Lua 5.1.x are not compatible with Lua 5.2  ::)
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline Hamachi

  • Forum Ace
  • *****
  • Posts: 88
  • Karma: +0/-7
Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #9 on: 18 February, 2012, 02:04:23 »
Is there any libs for Lua 5.2 on windows ?

Have no problem on Linux, but i need it for Windows too..

PtokaX forum

Re: 0.4.2.0 build 316 with final Lua 5.2.0
« Reply #9 on: 18 February, 2012, 02:04:23 »